Ruby on Rails giving error on HP-UX-ia64


#1

Hi All,

I’m trying to install RubyonRails on HP-UX 11.23[ia64-hpux11.23]
machine.

I was succesful in building Ruby1.8.7p160 and RubyGems1.3.2.
#./ruby -v
ruby 1.8.7 (2009-04-08 patchlevel 160) [ia64-hpux11.23]
#./gem -v
1.3.2
Also my basic Ruby programs are working fine.

On Installing RubyRails I got installation successful message:
#gem install rails
Successfully installed rake-0.8.7
Successfully installed activesupport-2.3.2
Successfully installed activerecord-2.3.2
Successfully installed actionpack-2.3.2
Successfully installed actionmailer-2.3.2
Successfully installed activeresource-2.3.2
Successfully installed rails-2.3.2
7 gems installed
Installing ri documentation for rake-0.8.7…
Installing ri documentation for activesupport-2.3.2…
Installing ri documentation for activerecord-2.3.2…
Installing ri documentation for actionpack-2.3.2…
Installing ri documentation for actionmailer-2.3.2…
Installing ri documentation for activeresource-2.3.2…
Installing RDoc documentation for rake-0.8.7…
Installing RDoc documentation for activesupport-2.3.2…
Installing RDoc documentation for activerecord-2.3.2…
Installing RDoc documentation for actionpack-2.3.2…
Installing RDoc documentation for actionmailer-2.3.2…
Installing RDoc documentation for activeresource-2.3.2…

However when i run ./rails i get following error:

./rails

undefined method `camelize’ for “app”:String

Please help me in resolving this error.
I saw similar error posts but could not conclude what the problem
actually is.
Thanks in advance for the help :slight_smile: